Bug 121477 - arts only yields partial sound kscd works xine, xmms, quake3 do not
arts only yields partial sound kscd works xine, xmms, quake3 do not
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-21 20:06 EDT by tracy smith
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 05:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tracy smith 2004-04-21 20:06:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:

Upon a single reboot, only kscd will work.  xine, xmms and quake3 will 
not work.  arts is selected to be started upon boot in the
preferences,  sound and multimedia, soundsystem section.  Exiting kde
and logging 
back in does nothing.  'killall artsd' does nothing.  changing the 
protections for /dev/dsp also does nothing.  'lsof /dev/dsp' yields 
nothing.  No obvious application is blocking access to the soundcard.  
Also, clearing out everything in /tmp and rebooting doesn't solve 
the problem.

HOWEVER, after 3 reboots, and executing 'killall artsd', all of the 
above sound applications work again.

This flakiness is reproduceable.

Version-Release number of selected component (if applicable):
2.4.22-1.2115.nptlsmp

How reproducible:
Always

Steps to Reproduce:
1.reboot
2.
3.
    

Actual Results:  no sound xmms, xine, quake3
sound kscd

Expected Results:  sound in kscd, xmms, xine & quake3

Additional info:
Comment 1 Ngo Than 2004-09-15 05:34:01 EDT
as i know xmms and xine support arts for playing sound, you have to
enable arts support in xmms/xine, it will work again. I don't have
quake3 and don't know if it supports arts, if not you should use the
wrapper (artsdsp).

Note You need to log in before you can comment on or make changes to this bug.